> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/policy-evaluations



## OpenAPI

````yaml /api-reference/ruleengine.openapi.json post /realms/{realmId}/organizations/{organizationId}/policy-evaluations
openapi: 3.0.3
info:
  title: Ruleengine
  version: 1.0.0
  description: >-
    Portão 3 ruleengine API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=4 copied:manual=0 unknown=2.
servers:
  - url: https://api.ruleengine.v2.portao3.com.br/
    description: production
  - url: https://api.ruleengine.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Approval Requests
  - name: Policy Evaluations
paths:
  /realms/{realmId}/organizations/{organizationId}/policy-evaluations:
    post:
      tags:
        - Policy Evaluations
      summary: /realms/{realmId}/organizations/{organizationId}/policy-evaluations
      operationId: postRealmsByRealmIdOrganizationsByOrganizationIdPolicyEvaluations
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                context:
                  type: string
                  enum:
                    - PIX_IN
                    - PIX_INFRACTION
                    - P2P_TRANSFER
                accountId:
                  type: string
                walletId:
                  type: string
                subjectType:
                  type: string
                  minLength: 1
                subjectId:
                  type: string
                  minLength: 1
                requester:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 1
                    email:
                      type: string
                      minLength: 1
                  required:
                    - id
                    - email
                  additionalProperties: false
                body:
                  type: object
                  additionalProperties: {}
                correlationId:
                  type: string
              required:
                - context
                - subjectType
                - subjectId
                - requester
                - body
      responses:
        default:
          description: Undocumented response (no code type, no existing spec).
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````